Retrieve Portfolio by ID
curl --request GET \
--url https://api.copper.co/platform/portfolios/{portfolioId}import requests
url = "https://api.copper.co/platform/portfolios/{portfolioId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.copper.co/platform/portfolios/{portfolioId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createdAt": "1617235200000",
"createdBy": "<string>",
"isActive": true,
"portfolioId": "<string>",
"portfolioName": "My portfolio",
"portfolioType": "custody",
"extra": {
"baseCurrency": "<string>",
"clearLoopDelegationsBlocked": true,
"clearLoopPortfolioId": "<string>",
"clearLoopUnDelegationsBlocked": true,
"clientAccountId": "<string>",
"customerId": "<string>",
"exchange": "okex",
"externalAccountId": "<string>",
"hyperliquidTradingStatus": {
"activationOrderId": "<string>",
"status": "pending"
},
"parentPortfolioId": "<string>",
"quoteCurrency": "<string>",
"showWalletBalance": "real",
"usdWithdrawalLimit": "<string>"
},
"organizationId": "1fa95ae7-5f74-4258-a4c6-687b39d7941d",
"portfolioDescription": "My portfolio description",
"status": "active",
"updatedAt": "1617235200000",
"updatedBy": "<string>"
}{
"error": "bad-request",
"message": "<string>"
}{
"error": "forbidden",
"message": "<string>"
}{
"error": "conflict",
"message": "<string>"
}portfolios
Retrieve Portfolio by ID
GET
/
portfolios
/
{portfolioId}
Retrieve Portfolio by ID
Path Parameters
Response
OK
Portfolio creation date
Example:
"1617235200000"
Portfolio creator ID
Portfolio active state
Portfolio id
Portfolio name
Example:
"My portfolio"
Portfolio type. See details
Available options:
custody, trading-vault, trading, external, clearloop Example:
"custody"
Portfolio extra data
Show child attributes
Show child attributes
Organization ID
Example:
"1fa95ae7-5f74-4258-a4c6-687b39d7941d"
Portfolio description
Example:
"My portfolio description"
Portfolio status
Example:
"active"
Portfolio update date
Example:
"1617235200000"
Portfolio updater ID
Was this page helpful?